body {
    background-color: #F7F9FA;
}
footer.btnfr {
    margin-top: 0;
    background-color: #ffffff;
}
.btnfr .btn_01 .wraph_in {
    border-top: none;
}
#favorite-products {
    width: 100%;
    margin: 0 auto;
}
.favorite-products *,
.favorite-products_mobile__dialog *,
.favorite-products_right *,
.favorite-products_left * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
.favorite-products {
    width: 100%;
    max-width: 1400px;
    height: 500px;
    gap: 21px;
    margin: 0 auto 73px;
    position: relative;
}
.favorite-products_left {
    width: 100%;
    max-width: 290px;
    position: sticky;
    top: 106px;
    transition: top .1s linear;
    background-color: #FFFFFF;
}
.favorite-products_left__collapse .el-collapse-item:last-of-type .el-collapse-item__wrap {
    margin-bottom: 15px;
    border-bottom-color: transparent;
}
.favorite-products_right {
    width: 100%;
    max-width: 1089px;
    position: absolute;
    top: 0;
    left: 311px;
}
.favorite-products_right__content {
}
.favorite-products_left__title {
    width: 290px;
    height: 80px;
    padding: 25px 20px;
    display: flex;
    justify-content: space-between;
    background-color: white;
}
.favorite-products_left__title___title {
    color: #2A2B2E;
    font-size: 20px;
}
.favorite-products_left__title___btn {
    width: 69px;
    height: 29px;
    border-radius: 16px;
    color: #0055CD;
    border: 1px solid #0055CD;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
    cursor: pointer;
    user-select: none;
    transition: background-color .3s ease-in-out, color .2s linear;
}
.favorite-products_left__title___btn:hover {
    background: #0055CD;
    color: #fff;
}
.favorite-products_left__collapse .el-collapse-item__header{
    padding: 0 20px;
    font-weight: 700;
    font-size: 16px;
}
.favorite-products_left__collapse .el-collapse-item__arrow{
    margin: 0 0 0 auto;
}
.favorite-products_left__collapse___check____item {
    height: 54px;
    display: flex;
    align-items: center;
    padding: 0 20px;
}
.favorite-products_left__collapse___check____item .el-checkbox{
    display: flex;
    align-items: center;
    gap: 10px;
}
.favorite-products_left__collapse___check____item .el-checkbox:hover .el-checkbox__label {
    text-decoration: underline;
}
.favorite-products_left__collapse___check____item .el-checkbox__inner{
    width: 20px;
    height: 20px;
}
.favorite-products_left__collapse___check____item .el-checkbox__input.is-checked .el-checkbox__inner{
    background-color: #0055CD;
    border-color: #0055CD;
}
.favorite-products_left__collapse___check____item .el-checkbox__inner::after{
    height: 9px;
    width: 5px;
    left: 6px;
    top: 2px;
    border: 2px solid #ffffff;
    border-left: 0;
    border-top: 0;
    border-radius: 0 0 1px 0;
}
.favorite-products_left__collapse___check____item .el-checkbox__label{
    font-size: 16px;
    color: #6A6B6D !important;
}
.favorite-products_right__header {
    height: 31px;
    font-size: 14px;
    color: #2A2B2E;
}
.favorite-products_card {
    width: 355px;
    height: 398px;
    background-color: white;
    padding: 24px 22px;
    border-radius: 4px;
    border: 1px solid #F1F3F5;
    transition: box-shadow .3s linear;
}
.favorite-products_card:hover {
    box-shadow: 0 4px 20px 0 #0000001A;
}
.favorite-products_card__header {
    display: flex;
    justify-content: space-between;
}
.favorite-products_card__favorite {
    width: 26px;
    height: 26px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #F7F9FA;
    border-radius: 4px;
    cursor: pointer;
}
.favorite-products_card__favorite svg path{
    stroke: #7D7D7D;
}
.favorite-products_card__favorite.is-favorite svg path{
    stroke: #e60039;
    fill: #e60039;
    transition: fill .2s;
}
.favorite-products_card__favorite:hover svg path{
    stroke: #e60039;
}
.favorite-products_card__classify {
    /* width: 74px; */
    height: 26px;
    font-size: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    color: #7D7D7D;
    background-color: #F7F9FA;
    user-select: none;
    padding:10px;
}
.el-tooltip__popper.is-light {
    border-color: transparent !important;
    box-shadow: 0 3px 7px 0 #0000001A;
}
.el-tooltip__popper.is-light[x-placement^=top] .popper__arrow {
    border-top-color: transparent!important;
}
.favorite-products_card__img {
    width: 100%;
    margin-top: 12px;
    height: 200px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.favorite-products_card__desc {
    height: 72px;
}
.favorite-products_card__model {
    text-align: center;
    line-height: 30px;
    height: 30px;
    font-size: 20px;
    font-weight: 500;
    color: #292929;
}
.favorite-products_card__name {
    height: 42px;
    font-size: 14px;
    line-height: 21px;
    color: #7D7D7D;
    text-align: center;
    display: -webkit-box; /* 使用 Flexbox 布局 */
    -webkit-box-orient: vertical; /* 垂直方向的布局 */
    -webkit-line-clamp: 2; /* 限制显示的行数 */
    overflow: hidden; /* 隐藏溢出的内容 */
    text-overflow: ellipsis; /* 使用省略号表示溢出的文本 */
}
.favorite-products_card__btn {
    cursor: pointer;
    font-size: 14px;
    color: #0055CD;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 12px;
}
.favorite-product_card__end-of-sale {
    position: absolute;
    width: 150px;
    height: 150px;
    box-shadow: 4px 4px 6px 0 #0000004D;
    border-radius: 75px;
    background-color: rgba(42,43, 46, 0.5);
    top: 50%;
    left: 50%;
    font-size: 16px;
    color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #A9A9A9;
    transform: translate(-50%, -50%);
}
.favorite-product_card__end-of-sale_text {
    opacity: 1;
}
.favorite-products_right__pagination {
    margin-top: 48px;
    height: 52px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.favorite-products_right__pagination .el-pagination.is-background .el-pager li:not(.disabled).active {
    background-color: #0055CD;
    color: #ffffff;
}

.favorite-products_right__pagination  .el-pagination.is-background .btn-prev,
.favorite-products_right__pagination  .el-pagination.is-background .el-pager li,
.favorite-products_right__pagination  .el-pagination.is-background .btn-next {
    background-color: transparent;
}
.favorite-products_right__pagination  .el-pagination.is-background .el-pager li:not(.disabled):not(.active):hover {
    color: #0055CD;
}
.favorite-products_title {
    width: 100%;
    max-width: 1400px;
    height: 60px;
    font-size: 24px;
    font-weight: 600;
    display: flex;
    align-items: center;
    margin: 32px auto 24px auto;
    border-bottom: 1px solid #E3E5E6;
}
.favorite-products_no-result {
    margin-top: 24px;
    height: 500px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.favorite-products_no-result__text {
    margin-top: 24px;
    text-align: center;
    font-size: 16px;
    width: 600px;
    line-height: 24px;
    color: #6A6B6D;
}
.favorite-products_list {
    display: flex;
    flex-wrap: wrap;
    /* justify-content: space-between; */
    gap: 11px;
}
.favorite-products_item{
    /* margin-right: 11px; */
}
.favorite-products_list .favorite-products_item {
    width: 352px;
    transition: max-width .5s, max-height .5s, margin-bottom .25s, margin-right 1s ease-in-out;
    max-width: 100vw;
    max-height: 100vh;
    opacity: 1;
}
.favorite-products_mobile__dialog {
    display: none;
}
.favorite-products_mobile__dialog .el-dialog__header {
    height: 60px;
    padding: 0;
}
.favorite-products_mobile__dialog .el-dialog__body {
    padding: 0;
}
.favorite-products_mobile__dialog .favorite-products_left__title {
    width: 100%;
    height: auto;
}
.favorite-products_dialog-footer {
    position: fixed;
    height: 72px;
    bottom: 0;
    width: 100vw;
    padding: 16px 20px;
    box-shadow: 0 0 20px 0 #00000026;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}
.favorite-products_dialog-footer_btn {
    width: 100%;
    height: 40px;
    background-color: #0055CD;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #ffffff;
    font-size: 16px;
    cursor: pointer;
    border-radius: 4px;
}
.favorite-products_dialog-footer_btn.cancel {
    background-color: #ffffff;
    border: 1px solid #D5D5D5;
    color: #6A6B6D;
}
.favorite-products_dialog-footer_btn:hover,
.favorite-products_mobile__filter___btn:hover{
    opacity: 0.8;
}
.favorite-products_mobile__filter___btn {
    display: none;
    height: 40px;
    background-color: #0055CD;
    justify-content: space-between;
    align-items: center;
    color: #FFFFFF;
    padding: 0 16px;
    border-radius: 4px;
    cursor: pointer;
    margin-bottom: 24px;
}
.favorite-products_mobile__filter___btn____text {
    font-size: 14px;
}
@media screen and (max-width: 1400px){
    .favorite-products {
        height: 2210px;
    }
    .favorite-products_right {
        width: unset;
        max-width: unset;
        padding-right: 10px;
    }
    .favorite-products_title {
        padding-left: 10px;
    }
    .favorite-products_left {
        margin-left: 10px;
    }
}
@media screen and (max-width: 400px) {
    .favorite-products_card {
        width: 100%;
    }
}
.max-width-0 {

}
@media screen and (max-width: 760px){
    .favorite-products_list {
        flex-direction: column;
        justify-content: unset;
        align-items: center;
    }
}
@media screen and (min-width: 760px){
    .max-width-0 {
        max-width: 0!important;
        overflow: hidden;
        opacity: 0!important;
    }
}
@media screen and (max-width: 990px){

    .favorite-products {
        height: unset !important;
    }
    .favorite-products_no-result {
        height: 384.66px;
    }
    .favorite-products_mobile__dialog {
        display: block;
    }
    .favorite-products_no-result__text {
        width: 75.2%;
    }
    .favorite-products_mobile__filter___btn {
        display: flex;
    }
    .favorite-products {
        height: unset;
    }
    .favorite-products_left {
        display: none;
    }
    .favorite-products_title {
        width: 100%;
        margin: 0;
        padding: 20px;
        box-sizing: border-box;
    }
    .favorite-products_right {
        width: 100%;
        position: relative;
        left: unset;
        padding: 20px;
    }
    .favorite-products_right__header {
        font-size: 14px;
        border-bottom: 1px solid #D5D5D5;
        margin-bottom: 24px;
    }
    .favorite-products_list {
        justify-content: space-evenly;
        gap: 12px;
    }

    .max-width-0 {
        max-height: 0 !important;
        overflow: hidden;
        opacity: 0!important;
        margin-bottom: 0!important;
    }
}
@media (max-width: 755px) {
    .el-tooltip__popper {
        display: none; /* 隐藏 Tooltip */
    }
}
